<?php
$date = new DateTime();

writelog($date->format('Y-m-d H:i:s'));
leer_argentina(&$arg,$camaras_actual[$i]["proceso_actual"]);

$ndias=0;
$nivel=0;
argentina_nivel_all($temp['maxima_v_real'],$arg['id_especie'],&$ndias,&$nivel);

$gen_alarma_ARG=0;

if ($temp['maxima_v_real']>$arg['temperatura'] && $nivel>$arg['nivel']) {
	// mostrar mensaje
	writelog('generando alarma '.$temp['maxima_v_real'].' > '
	.$arg['temperatura'].' y nivel es '.$nivel.'>'.$arg['nivel']);
	$gen_alarma_ARG=501;
	$gen_alarma_camara_ARG=$i;
	$gen_alarma_num_sensor_ARG=501;
	$ultimaalarma_ARG=0;
	$_SESSION["ultimaalarma" . $i]=$ultimaalarma;
	// cambio valores.
} else {

}
$difargentina=floor(($arg['fechafinal']-epochnow()));



$day = floor($difargentina / (60*24));
$hour =floor(($difargentina-($day*60*24))  / 60);
$min = $difargentina % 60;

$difargentina= "$day dias $hour h:$min m";


if (epochnow()>$arg['fechafinal']) {
	// mostrar mensaje de termino.
	$gen_alarma_ARG=502;
	$gen_alarma_camara_ARG=$i;
	$gen_alarma_num_sensor_ARG=502;
	$ultimaalarma_ARG=0;
	$_SESSION["ultimaalarma" . $i]=$ultimaalarma;
}



?>